/*=========================================================================
 
 Program:   BlueBerry Platform
 Language:  C++
 Date:      $Date$
 Version:   $Revision$
 
 Copyright (c) German Cancer Research Center, Division of Medical and
 Biological Informatics. All rights reserved.
 See MITKCopyright.txt or http://www.mitk.org/copyright.html for details.
 
 This software is distributed WITHOUT ANY WARRANTY; without even
 the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
 PURPOSE.  See the above copyright notices for more information.
 
 =========================================================================*/

#include "berryWorkbenchPreferenceConstants.h"

namespace berry
{

const std::string WorkbenchPreferenceConstants::LINK_NAVIGATOR_TO_EDITOR =
    "LINK_NAVIGATOR_TO_EDITOR";
const std::string WorkbenchPreferenceConstants::OPEN_NEW_PERSPECTIVE =
    "OPEN_NEW_PERSPECTIVE";
const std::string WorkbenchPreferenceConstants::OPEN_PERSPECTIVE_WINDOW =
    "OPEN_PERSPECTIVE_WINDOW";
const std::string WorkbenchPreferenceConstants::OPEN_PERSPECTIVE_PAGE =
    "OPEN_PERSPECTIVE_PAGE";
const std::string WorkbenchPreferenceConstants::OPEN_PERSPECTIVE_REPLACE =
    "OPEN_PERSPECTIVE_REPLACE";
const std::string WorkbenchPreferenceConstants::NO_NEW_PERSPECTIVE =
    "NO_NEW_PERSPECTIVE";
const std::string WorkbenchPreferenceConstants::DEFAULT_PERSPECTIVE_ID =
    "defaultPerspectiveId";
const std::string WorkbenchPreferenceConstants::PRESENTATION_FACTORY_ID =
    "presentationFactoryId";
const std::string WorkbenchPreferenceConstants::DOCK_PERSPECTIVE_BAR =
    "DOCK_PERSPECTIVE_BAR";
const std::string WorkbenchPreferenceConstants::PERSPECTIVE_BAR_SIZE =
    "PERSPECTIVE_BAR_SIZE";
const std::string WorkbenchPreferenceConstants::INITIAL_FAST_VIEW_BAR_LOCATION =
    "initialFastViewBarLocation";
const std::string WorkbenchPreferenceConstants::PREFERRED_SASH_LAYOUT =
    "preferredSashLayout";
const std::string WorkbenchPreferenceConstants::TOP_RIGHT = "topRight";
const std::string WorkbenchPreferenceConstants::TOP_LEFT = "topLeft";
const std::string WorkbenchPreferenceConstants::LEFT = "left";
const std::string WorkbenchPreferenceConstants::BOTTOM = "bottom";
const std::string WorkbenchPreferenceConstants::RIGHT = "right";
const std::string WorkbenchPreferenceConstants::SHOW_INTRO = "showIntro";
const std::string WorkbenchPreferenceConstants::SHOW_TRADITIONAL_STYLE_TABS =
    "SHOW_TRADITIONAL_STYLE_TABS";
const std::string WorkbenchPreferenceConstants::SHOW_TEXT_ON_PERSPECTIVE_BAR =
    "SHOW_TEXT_ON_PERSPECTIVE_BAR";
const std::string WorkbenchPreferenceConstants::SHOW_OPEN_ON_PERSPECTIVE_BAR =
    "SHOW_OPEN_ON_PERSPECTIVE_BAR";
const std::string WorkbenchPreferenceConstants::SHOW_OTHER_IN_PERSPECTIVE_MENU =
    "SHOW_OTHER_IN_PERSPECTIVE_MENU";
const std::string WorkbenchPreferenceConstants::HELP_CONTENTS_ACTION_TEXT =
    "helpContentsActionText";
const std::string WorkbenchPreferenceConstants::HELP_SEARCH_ACTION_TEXT =
    "helpSearchActionText";
const std::string WorkbenchPreferenceConstants::DYNAMIC_HELP_ACTION_TEXT =
    "dynamicHelpActionText";
const std::string WorkbenchPreferenceConstants::ENABLE_ANIMATIONS =
    "ENABLE_ANIMATIONS";
const std::string WorkbenchPreferenceConstants::USE_COLORED_LABELS =
    "USE_COLORED_LABELS";
const std::string WorkbenchPreferenceConstants::KEY_CONFIGURATION_ID =
    "KEY_CONFIGURATION_ID";
const std::string WorkbenchPreferenceConstants::EDITOR_MINIMUM_CHARACTERS =
    "EDITOR_MINIMUM_CHARACTERS";
const std::string WorkbenchPreferenceConstants::VIEW_MINIMUM_CHARACTERS =
    "VIEW_MINIMUM_CHARACTERS";
const std::string WorkbenchPreferenceConstants::SHOW_SYSTEM_JOBS =
    "SHOW_SYSTEM_JOBS";
const std::string WorkbenchPreferenceConstants::CURRENT_THEME_ID =
    "CURRENT_THEME_ID";
const std::string WorkbenchPreferenceConstants::CLOSE_EDITORS_ON_EXIT =
    "CLOSE_EDITORS_ON_EXIT";
const std::string WorkbenchPreferenceConstants::SHOW_PROGRESS_ON_STARTUP =
    "SHOW_PROGRESS_ON_STARTUP";
const std::string WorkbenchPreferenceConstants::SHOW_MEMORY_MONITOR =
    "SHOW_MEMORY_MONITOR";
const std::string
    WorkbenchPreferenceConstants::USE_WINDOW_WORKING_SET_BY_DEFAULT =
        "USE_WINDOW_WORKING_SET_BY_DEFAULT";
const std::string WorkbenchPreferenceConstants::SHOW_FILTERED_TEXTS =
    "SHOW_FILTERED_TEXTS";
const std::string WorkbenchPreferenceConstants::ENABLE_DETACHED_VIEWS =
    "ENABLE_DETACHED_VIEWS";
const std::string
    WorkbenchPreferenceConstants::PROMPT_WHEN_SAVEABLE_STILL_OPEN =
        "PROMPT_WHEN_SAVEABLE_STILL_OPEN";
const std::string WorkbenchPreferenceConstants::PERSPECTIVE_BAR_EXTRAS =
    "PERSPECTIVE_BAR_EXTRAS";
const std::string WorkbenchPreferenceConstants::LOCK_TRIM = "LOCK_TRIM";
const std::string WorkbenchPreferenceConstants::ENABLE_NEW_MIN_MAX =
    "ENABLE_MIN_MAX";
const std::string WorkbenchPreferenceConstants::DISABLE_NEW_FAST_VIEW =
    "disableNewFastView";
const std::string
    WorkbenchPreferenceConstants::ENABLE_32_STICKY_CLOSE_BEHAVIOR =
        "ENABLE_32_STICKY_CLOSE_BEHAVIOR";
const std::string WorkbenchPreferenceConstants::VIEW_TAB_POSITION =
    "VIEW_TAB_POSITION";
const std::string WorkbenchPreferenceConstants::EDITOR_TAB_POSITION =
    "EDITOR_TAB_POSITION";
const std::string WorkbenchPreferenceConstants::SHOW_MULTIPLE_EDITOR_TABS =
    "SHOW_MULTIPLE_EDITOR_TABS";
const std::string WorkbenchPreferenceConstants::DISABLE_OPEN_EDITOR_IN_PLACE =
    "DISABLE_OPEN_EDITOR_IN_PLACE";

}
