###################################################################
#
# MITK_CREATE_MODULE_CONF 
# 
# This can be called in a similar way like MITK_CREATE_MODULE
# but it just creates the module configuration files without
# actually building it. It is used for integration of legacy libraries
# into the MITK module build system
#
##################################################################
MACRO(MITK_CREATE_MODULE_CONF MODULE_NAME_IN)
  MACRO_PARSE_ARGUMENTS(MODULE "INCLUDE_DIRS;DEPENDS;" "QT_MODULE;HEADERS_ONLY" ${ARGN})
  SET(MODULE_NAME ${MODULE_NAME_IN})
  IF(MODULE_HEADERS_ONLY)
    SET(MODULE_PROVIDES )
  ELSE()
    SET(MODULE_PROVIDES ${MODULE_NAME})
  ENDIF()
  SET(MODULE_IS_ENABLED 1)
  _MITK_CREATE_MODULE_CONF()
ENDMACRO(MITK_CREATE_MODULE_CONF)

MACRO(_MITK_CREATE_MODULE_CONF)
  IF(NOT MODULE_QT_MODULE OR MITK_USE_QT)
    SET(MODULE_INCLUDE_DIRS_ABSOLUTE "")
    FOREACH(dir ${MODULE_INCLUDE_DIRS})
      GET_FILENAME_COMPONENT(abs_dir ${dir} ABSOLUTE)
      SET(MODULE_INCLUDE_DIRS_ABSOLUTE ${MODULE_INCLUDE_DIRS_ABSOLUTE} ${abs_dir})
    ENDFOREACH(dir)

    SET(MODULE_INCLUDE_DIRS ${MODULE_INCLUDE_DIRS_ABSOLUTE} ${CMAKE_CURRENT_SOURCE_DIR})
    
    # Qt generates headers in the binary tree
    IF(MODULE_QT_MODULE)
      SET(MODULE_INCLUDE_DIRS ${MODULE_INCLUDE_DIRS} ${CMAKE_CURRENT_BINARY_DIR})
    ENDIF(MODULE_QT_MODULE)
    SET(${MODULE_NAME}_CONFIG_FILE "${CMAKE_BINARY_DIR}/${MODULES_CONF_DIRNAME}/${MODULE_NAME}Config.cmake" CACHE INTERNAL "Path to module config" FORCE)
    CONFIGURE_FILE(${MITK_SOURCE_DIR}/CMake/moduleConf.cmake.in ${${MODULE_NAME}_CONFIG_FILE} @ONLY)
  ENDIF(NOT MODULE_QT_MODULE OR MITK_USE_QT)
ENDMACRO(_MITK_CREATE_MODULE_CONF)
