# /* **************************************************************************
#  *                                                                          *
#  *     (C) Copyright Paul Mensonides 2002.
#  *     Distributed under the Boost Software License, Version 1.0. (See
#  *     accompanying file LICENSE_1_0.txt or copy at
#  *     http://www.boost.org/LICENSE_1_0.txt)
#  *                                                                          *
#  ************************************************************************** */
#
# /* See http://www.boost.org for most recent version. */
#
# ifndef MITK_PREPROCESSOR_SEQ_ENUM_HPP
# define MITK_PREPROCESSOR_SEQ_ENUM_HPP
#
# include "mitkPPCat.h"
# include "mitkPPConfig.h"
# include "mitkPPSeqSize.h"
#
# /* MITK_PP_SEQ_ENUM */
#
# if MITK_PP_CONFIG_FLAGS() & MITK_PP_CONFIG_EDG()
#    define MITK_PP_SEQ_ENUM(seq) MITK_PP_SEQ_ENUM_I(seq)
#    define MITK_PP_SEQ_ENUM_I(seq) MITK_PP_CAT(MITK_PP_SEQ_ENUM_, MITK_PP_SEQ_SIZE(seq)) seq
# elif MITK_PP_CONFIG_FLAGS() & MITK_PP_CONFIG_MWCC()
#    define MITK_PP_SEQ_ENUM(seq) MITK_PP_SEQ_ENUM_I(MITK_PP_SEQ_SIZE(seq), seq)
#    define MITK_PP_SEQ_ENUM_I(size, seq) MITK_PP_CAT(MITK_PP_SEQ_ENUM_, size) seq
# else
#    define MITK_PP_SEQ_ENUM(seq) MITK_PP_CAT(MITK_PP_SEQ_ENUM_, MITK_PP_SEQ_SIZE(seq)) seq
# endif
#
# define MITK_PP_SEQ_ENUM_1(x) x
# define MITK_PP_SEQ_ENUM_2(x) x, MITK_PP_SEQ_ENUM_1
# define MITK_PP_SEQ_ENUM_3(x) x, MITK_PP_SEQ_ENUM_2
# define MITK_PP_SEQ_ENUM_4(x) x, MITK_PP_SEQ_ENUM_3
# define MITK_PP_SEQ_ENUM_5(x) x, MITK_PP_SEQ_ENUM_4
# define MITK_PP_SEQ_ENUM_6(x) x, MITK_PP_SEQ_ENUM_5
# define MITK_PP_SEQ_ENUM_7(x) x, MITK_PP_SEQ_ENUM_6
# define MITK_PP_SEQ_ENUM_8(x) x, MITK_PP_SEQ_ENUM_7
# define MITK_PP_SEQ_ENUM_9(x) x, MITK_PP_SEQ_ENUM_8
# define MITK_PP_SEQ_ENUM_10(x) x, MITK_PP_SEQ_ENUM_9
# define MITK_PP_SEQ_ENUM_11(x) x, MITK_PP_SEQ_ENUM_10
# define MITK_PP_SEQ_ENUM_12(x) x, MITK_PP_SEQ_ENUM_11
# define MITK_PP_SEQ_ENUM_13(x) x, MITK_PP_SEQ_ENUM_12
# define MITK_PP_SEQ_ENUM_14(x) x, MITK_PP_SEQ_ENUM_13
# define MITK_PP_SEQ_ENUM_15(x) x, MITK_PP_SEQ_ENUM_14
# define MITK_PP_SEQ_ENUM_16(x) x, MITK_PP_SEQ_ENUM_15
# define MITK_PP_SEQ_ENUM_17(x) x, MITK_PP_SEQ_ENUM_16
# define MITK_PP_SEQ_ENUM_18(x) x, MITK_PP_SEQ_ENUM_17
# define MITK_PP_SEQ_ENUM_19(x) x, MITK_PP_SEQ_ENUM_18
# define MITK_PP_SEQ_ENUM_20(x) x, MITK_PP_SEQ_ENUM_19
# define MITK_PP_SEQ_ENUM_21(x) x, MITK_PP_SEQ_ENUM_20
# define MITK_PP_SEQ_ENUM_22(x) x, MITK_PP_SEQ_ENUM_21
# define MITK_PP_SEQ_ENUM_23(x) x, MITK_PP_SEQ_ENUM_22
# define MITK_PP_SEQ_ENUM_24(x) x, MITK_PP_SEQ_ENUM_23
# define MITK_PP_SEQ_ENUM_25(x) x, MITK_PP_SEQ_ENUM_24
# define MITK_PP_SEQ_ENUM_26(x) x, MITK_PP_SEQ_ENUM_25
# define MITK_PP_SEQ_ENUM_27(x) x, MITK_PP_SEQ_ENUM_26
# define MITK_PP_SEQ_ENUM_28(x) x, MITK_PP_SEQ_ENUM_27
# define MITK_PP_SEQ_ENUM_29(x) x, MITK_PP_SEQ_ENUM_28
# define MITK_PP_SEQ_ENUM_30(x) x, MITK_PP_SEQ_ENUM_29
# define MITK_PP_SEQ_ENUM_31(x) x, MITK_PP_SEQ_ENUM_30
# define MITK_PP_SEQ_ENUM_32(x) x, MITK_PP_SEQ_ENUM_31
# define MITK_PP_SEQ_ENUM_33(x) x, MITK_PP_SEQ_ENUM_32
# define MITK_PP_SEQ_ENUM_34(x) x, MITK_PP_SEQ_ENUM_33
# define MITK_PP_SEQ_ENUM_35(x) x, MITK_PP_SEQ_ENUM_34
# define MITK_PP_SEQ_ENUM_36(x) x, MITK_PP_SEQ_ENUM_35
# define MITK_PP_SEQ_ENUM_37(x) x, MITK_PP_SEQ_ENUM_36
# define MITK_PP_SEQ_ENUM_38(x) x, MITK_PP_SEQ_ENUM_37
# define MITK_PP_SEQ_ENUM_39(x) x, MITK_PP_SEQ_ENUM_38
# define MITK_PP_SEQ_ENUM_40(x) x, MITK_PP_SEQ_ENUM_39
# define MITK_PP_SEQ_ENUM_41(x) x, MITK_PP_SEQ_ENUM_40
# define MITK_PP_SEQ_ENUM_42(x) x, MITK_PP_SEQ_ENUM_41
# define MITK_PP_SEQ_ENUM_43(x) x, MITK_PP_SEQ_ENUM_42
# define MITK_PP_SEQ_ENUM_44(x) x, MITK_PP_SEQ_ENUM_43
# define MITK_PP_SEQ_ENUM_45(x) x, MITK_PP_SEQ_ENUM_44
# define MITK_PP_SEQ_ENUM_46(x) x, MITK_PP_SEQ_ENUM_45
# define MITK_PP_SEQ_ENUM_47(x) x, MITK_PP_SEQ_ENUM_46
# define MITK_PP_SEQ_ENUM_48(x) x, MITK_PP_SEQ_ENUM_47
# define MITK_PP_SEQ_ENUM_49(x) x, MITK_PP_SEQ_ENUM_48
# define MITK_PP_SEQ_ENUM_50(x) x, MITK_PP_SEQ_ENUM_49
# define MITK_PP_SEQ_ENUM_51(x) x, MITK_PP_SEQ_ENUM_50
# define MITK_PP_SEQ_ENUM_52(x) x, MITK_PP_SEQ_ENUM_51
# define MITK_PP_SEQ_ENUM_53(x) x, MITK_PP_SEQ_ENUM_52
# define MITK_PP_SEQ_ENUM_54(x) x, MITK_PP_SEQ_ENUM_53
# define MITK_PP_SEQ_ENUM_55(x) x, MITK_PP_SEQ_ENUM_54
# define MITK_PP_SEQ_ENUM_56(x) x, MITK_PP_SEQ_ENUM_55
# define MITK_PP_SEQ_ENUM_57(x) x, MITK_PP_SEQ_ENUM_56
# define MITK_PP_SEQ_ENUM_58(x) x, MITK_PP_SEQ_ENUM_57
# define MITK_PP_SEQ_ENUM_59(x) x, MITK_PP_SEQ_ENUM_58
# define MITK_PP_SEQ_ENUM_60(x) x, MITK_PP_SEQ_ENUM_59
# define MITK_PP_SEQ_ENUM_61(x) x, MITK_PP_SEQ_ENUM_60
# define MITK_PP_SEQ_ENUM_62(x) x, MITK_PP_SEQ_ENUM_61
# define MITK_PP_SEQ_ENUM_63(x) x, MITK_PP_SEQ_ENUM_62
# define MITK_PP_SEQ_ENUM_64(x) x, MITK_PP_SEQ_ENUM_63
# define MITK_PP_SEQ_ENUM_65(x) x, MITK_PP_SEQ_ENUM_64
# define MITK_PP_SEQ_ENUM_66(x) x, MITK_PP_SEQ_ENUM_65
# define MITK_PP_SEQ_ENUM_67(x) x, MITK_PP_SEQ_ENUM_66
# define MITK_PP_SEQ_ENUM_68(x) x, MITK_PP_SEQ_ENUM_67
# define MITK_PP_SEQ_ENUM_69(x) x, MITK_PP_SEQ_ENUM_68
# define MITK_PP_SEQ_ENUM_70(x) x, MITK_PP_SEQ_ENUM_69
# define MITK_PP_SEQ_ENUM_71(x) x, MITK_PP_SEQ_ENUM_70
# define MITK_PP_SEQ_ENUM_72(x) x, MITK_PP_SEQ_ENUM_71
# define MITK_PP_SEQ_ENUM_73(x) x, MITK_PP_SEQ_ENUM_72
# define MITK_PP_SEQ_ENUM_74(x) x, MITK_PP_SEQ_ENUM_73
# define MITK_PP_SEQ_ENUM_75(x) x, MITK_PP_SEQ_ENUM_74
# define MITK_PP_SEQ_ENUM_76(x) x, MITK_PP_SEQ_ENUM_75
# define MITK_PP_SEQ_ENUM_77(x) x, MITK_PP_SEQ_ENUM_76
# define MITK_PP_SEQ_ENUM_78(x) x, MITK_PP_SEQ_ENUM_77
# define MITK_PP_SEQ_ENUM_79(x) x, MITK_PP_SEQ_ENUM_78
# define MITK_PP_SEQ_ENUM_80(x) x, MITK_PP_SEQ_ENUM_79
# define MITK_PP_SEQ_ENUM_81(x) x, MITK_PP_SEQ_ENUM_80
# define MITK_PP_SEQ_ENUM_82(x) x, MITK_PP_SEQ_ENUM_81
# define MITK_PP_SEQ_ENUM_83(x) x, MITK_PP_SEQ_ENUM_82
# define MITK_PP_SEQ_ENUM_84(x) x, MITK_PP_SEQ_ENUM_83
# define MITK_PP_SEQ_ENUM_85(x) x, MITK_PP_SEQ_ENUM_84
# define MITK_PP_SEQ_ENUM_86(x) x, MITK_PP_SEQ_ENUM_85
# define MITK_PP_SEQ_ENUM_87(x) x, MITK_PP_SEQ_ENUM_86
# define MITK_PP_SEQ_ENUM_88(x) x, MITK_PP_SEQ_ENUM_87
# define MITK_PP_SEQ_ENUM_89(x) x, MITK_PP_SEQ_ENUM_88
# define MITK_PP_SEQ_ENUM_90(x) x, MITK_PP_SEQ_ENUM_89
# define MITK_PP_SEQ_ENUM_91(x) x, MITK_PP_SEQ_ENUM_90
# define MITK_PP_SEQ_ENUM_92(x) x, MITK_PP_SEQ_ENUM_91
# define MITK_PP_SEQ_ENUM_93(x) x, MITK_PP_SEQ_ENUM_92
# define MITK_PP_SEQ_ENUM_94(x) x, MITK_PP_SEQ_ENUM_93
# define MITK_PP_SEQ_ENUM_95(x) x, MITK_PP_SEQ_ENUM_94
# define MITK_PP_SEQ_ENUM_96(x) x, MITK_PP_SEQ_ENUM_95
# define MITK_PP_SEQ_ENUM_97(x) x, MITK_PP_SEQ_ENUM_96
# define MITK_PP_SEQ_ENUM_98(x) x, MITK_PP_SEQ_ENUM_97
# define MITK_PP_SEQ_ENUM_99(x) x, MITK_PP_SEQ_ENUM_98
# define MITK_PP_SEQ_ENUM_100(x) x, MITK_PP_SEQ_ENUM_99
# define MITK_PP_SEQ_ENUM_101(x) x, MITK_PP_SEQ_ENUM_100
# define MITK_PP_SEQ_ENUM_102(x) x, MITK_PP_SEQ_ENUM_101
# define MITK_PP_SEQ_ENUM_103(x) x, MITK_PP_SEQ_ENUM_102
# define MITK_PP_SEQ_ENUM_104(x) x, MITK_PP_SEQ_ENUM_103
# define MITK_PP_SEQ_ENUM_105(x) x, MITK_PP_SEQ_ENUM_104
# define MITK_PP_SEQ_ENUM_106(x) x, MITK_PP_SEQ_ENUM_105
# define MITK_PP_SEQ_ENUM_107(x) x, MITK_PP_SEQ_ENUM_106
# define MITK_PP_SEQ_ENUM_108(x) x, MITK_PP_SEQ_ENUM_107
# define MITK_PP_SEQ_ENUM_109(x) x, MITK_PP_SEQ_ENUM_108
# define MITK_PP_SEQ_ENUM_110(x) x, MITK_PP_SEQ_ENUM_109
# define MITK_PP_SEQ_ENUM_111(x) x, MITK_PP_SEQ_ENUM_110
# define MITK_PP_SEQ_ENUM_112(x) x, MITK_PP_SEQ_ENUM_111
# define MITK_PP_SEQ_ENUM_113(x) x, MITK_PP_SEQ_ENUM_112
# define MITK_PP_SEQ_ENUM_114(x) x, MITK_PP_SEQ_ENUM_113
# define MITK_PP_SEQ_ENUM_115(x) x, MITK_PP_SEQ_ENUM_114
# define MITK_PP_SEQ_ENUM_116(x) x, MITK_PP_SEQ_ENUM_115
# define MITK_PP_SEQ_ENUM_117(x) x, MITK_PP_SEQ_ENUM_116
# define MITK_PP_SEQ_ENUM_118(x) x, MITK_PP_SEQ_ENUM_117
# define MITK_PP_SEQ_ENUM_119(x) x, MITK_PP_SEQ_ENUM_118
# define MITK_PP_SEQ_ENUM_120(x) x, MITK_PP_SEQ_ENUM_119
# define MITK_PP_SEQ_ENUM_121(x) x, MITK_PP_SEQ_ENUM_120
# define MITK_PP_SEQ_ENUM_122(x) x, MITK_PP_SEQ_ENUM_121
# define MITK_PP_SEQ_ENUM_123(x) x, MITK_PP_SEQ_ENUM_122
# define MITK_PP_SEQ_ENUM_124(x) x, MITK_PP_SEQ_ENUM_123
# define MITK_PP_SEQ_ENUM_125(x) x, MITK_PP_SEQ_ENUM_124
# define MITK_PP_SEQ_ENUM_126(x) x, MITK_PP_SEQ_ENUM_125
# define MITK_PP_SEQ_ENUM_127(x) x, MITK_PP_SEQ_ENUM_126
# define MITK_PP_SEQ_ENUM_128(x) x, MITK_PP_SEQ_ENUM_127
# define MITK_PP_SEQ_ENUM_129(x) x, MITK_PP_SEQ_ENUM_128
# define MITK_PP_SEQ_ENUM_130(x) x, MITK_PP_SEQ_ENUM_129
# define MITK_PP_SEQ_ENUM_131(x) x, MITK_PP_SEQ_ENUM_130
# define MITK_PP_SEQ_ENUM_132(x) x, MITK_PP_SEQ_ENUM_131
# define MITK_PP_SEQ_ENUM_133(x) x, MITK_PP_SEQ_ENUM_132
# define MITK_PP_SEQ_ENUM_134(x) x, MITK_PP_SEQ_ENUM_133
# define MITK_PP_SEQ_ENUM_135(x) x, MITK_PP_SEQ_ENUM_134
# define MITK_PP_SEQ_ENUM_136(x) x, MITK_PP_SEQ_ENUM_135
# define MITK_PP_SEQ_ENUM_137(x) x, MITK_PP_SEQ_ENUM_136
# define MITK_PP_SEQ_ENUM_138(x) x, MITK_PP_SEQ_ENUM_137
# define MITK_PP_SEQ_ENUM_139(x) x, MITK_PP_SEQ_ENUM_138
# define MITK_PP_SEQ_ENUM_140(x) x, MITK_PP_SEQ_ENUM_139
# define MITK_PP_SEQ_ENUM_141(x) x, MITK_PP_SEQ_ENUM_140
# define MITK_PP_SEQ_ENUM_142(x) x, MITK_PP_SEQ_ENUM_141
# define MITK_PP_SEQ_ENUM_143(x) x, MITK_PP_SEQ_ENUM_142
# define MITK_PP_SEQ_ENUM_144(x) x, MITK_PP_SEQ_ENUM_143
# define MITK_PP_SEQ_ENUM_145(x) x, MITK_PP_SEQ_ENUM_144
# define MITK_PP_SEQ_ENUM_146(x) x, MITK_PP_SEQ_ENUM_145
# define MITK_PP_SEQ_ENUM_147(x) x, MITK_PP_SEQ_ENUM_146
# define MITK_PP_SEQ_ENUM_148(x) x, MITK_PP_SEQ_ENUM_147
# define MITK_PP_SEQ_ENUM_149(x) x, MITK_PP_SEQ_ENUM_148
# define MITK_PP_SEQ_ENUM_150(x) x, MITK_PP_SEQ_ENUM_149
# define MITK_PP_SEQ_ENUM_151(x) x, MITK_PP_SEQ_ENUM_150
# define MITK_PP_SEQ_ENUM_152(x) x, MITK_PP_SEQ_ENUM_151
# define MITK_PP_SEQ_ENUM_153(x) x, MITK_PP_SEQ_ENUM_152
# define MITK_PP_SEQ_ENUM_154(x) x, MITK_PP_SEQ_ENUM_153
# define MITK_PP_SEQ_ENUM_155(x) x, MITK_PP_SEQ_ENUM_154
# define MITK_PP_SEQ_ENUM_156(x) x, MITK_PP_SEQ_ENUM_155
# define MITK_PP_SEQ_ENUM_157(x) x, MITK_PP_SEQ_ENUM_156
# define MITK_PP_SEQ_ENUM_158(x) x, MITK_PP_SEQ_ENUM_157
# define MITK_PP_SEQ_ENUM_159(x) x, MITK_PP_SEQ_ENUM_158
# define MITK_PP_SEQ_ENUM_160(x) x, MITK_PP_SEQ_ENUM_159
# define MITK_PP_SEQ_ENUM_161(x) x, MITK_PP_SEQ_ENUM_160
# define MITK_PP_SEQ_ENUM_162(x) x, MITK_PP_SEQ_ENUM_161
# define MITK_PP_SEQ_ENUM_163(x) x, MITK_PP_SEQ_ENUM_162
# define MITK_PP_SEQ_ENUM_164(x) x, MITK_PP_SEQ_ENUM_163
# define MITK_PP_SEQ_ENUM_165(x) x, MITK_PP_SEQ_ENUM_164
# define MITK_PP_SEQ_ENUM_166(x) x, MITK_PP_SEQ_ENUM_165
# define MITK_PP_SEQ_ENUM_167(x) x, MITK_PP_SEQ_ENUM_166
# define MITK_PP_SEQ_ENUM_168(x) x, MITK_PP_SEQ_ENUM_167
# define MITK_PP_SEQ_ENUM_169(x) x, MITK_PP_SEQ_ENUM_168
# define MITK_PP_SEQ_ENUM_170(x) x, MITK_PP_SEQ_ENUM_169
# define MITK_PP_SEQ_ENUM_171(x) x, MITK_PP_SEQ_ENUM_170
# define MITK_PP_SEQ_ENUM_172(x) x, MITK_PP_SEQ_ENUM_171
# define MITK_PP_SEQ_ENUM_173(x) x, MITK_PP_SEQ_ENUM_172
# define MITK_PP_SEQ_ENUM_174(x) x, MITK_PP_SEQ_ENUM_173
# define MITK_PP_SEQ_ENUM_175(x) x, MITK_PP_SEQ_ENUM_174
# define MITK_PP_SEQ_ENUM_176(x) x, MITK_PP_SEQ_ENUM_175
# define MITK_PP_SEQ_ENUM_177(x) x, MITK_PP_SEQ_ENUM_176
# define MITK_PP_SEQ_ENUM_178(x) x, MITK_PP_SEQ_ENUM_177
# define MITK_PP_SEQ_ENUM_179(x) x, MITK_PP_SEQ_ENUM_178
# define MITK_PP_SEQ_ENUM_180(x) x, MITK_PP_SEQ_ENUM_179
# define MITK_PP_SEQ_ENUM_181(x) x, MITK_PP_SEQ_ENUM_180
# define MITK_PP_SEQ_ENUM_182(x) x, MITK_PP_SEQ_ENUM_181
# define MITK_PP_SEQ_ENUM_183(x) x, MITK_PP_SEQ_ENUM_182
# define MITK_PP_SEQ_ENUM_184(x) x, MITK_PP_SEQ_ENUM_183
# define MITK_PP_SEQ_ENUM_185(x) x, MITK_PP_SEQ_ENUM_184
# define MITK_PP_SEQ_ENUM_186(x) x, MITK_PP_SEQ_ENUM_185
# define MITK_PP_SEQ_ENUM_187(x) x, MITK_PP_SEQ_ENUM_186
# define MITK_PP_SEQ_ENUM_188(x) x, MITK_PP_SEQ_ENUM_187
# define MITK_PP_SEQ_ENUM_189(x) x, MITK_PP_SEQ_ENUM_188
# define MITK_PP_SEQ_ENUM_190(x) x, MITK_PP_SEQ_ENUM_189
# define MITK_PP_SEQ_ENUM_191(x) x, MITK_PP_SEQ_ENUM_190
# define MITK_PP_SEQ_ENUM_192(x) x, MITK_PP_SEQ_ENUM_191
# define MITK_PP_SEQ_ENUM_193(x) x, MITK_PP_SEQ_ENUM_192
# define MITK_PP_SEQ_ENUM_194(x) x, MITK_PP_SEQ_ENUM_193
# define MITK_PP_SEQ_ENUM_195(x) x, MITK_PP_SEQ_ENUM_194
# define MITK_PP_SEQ_ENUM_196(x) x, MITK_PP_SEQ_ENUM_195
# define MITK_PP_SEQ_ENUM_197(x) x, MITK_PP_SEQ_ENUM_196
# define MITK_PP_SEQ_ENUM_198(x) x, MITK_PP_SEQ_ENUM_197
# define MITK_PP_SEQ_ENUM_199(x) x, MITK_PP_SEQ_ENUM_198
# define MITK_PP_SEQ_ENUM_200(x) x, MITK_PP_SEQ_ENUM_199
# define MITK_PP_SEQ_ENUM_201(x) x, MITK_PP_SEQ_ENUM_200
# define MITK_PP_SEQ_ENUM_202(x) x, MITK_PP_SEQ_ENUM_201
# define MITK_PP_SEQ_ENUM_203(x) x, MITK_PP_SEQ_ENUM_202
# define MITK_PP_SEQ_ENUM_204(x) x, MITK_PP_SEQ_ENUM_203
# define MITK_PP_SEQ_ENUM_205(x) x, MITK_PP_SEQ_ENUM_204
# define MITK_PP_SEQ_ENUM_206(x) x, MITK_PP_SEQ_ENUM_205
# define MITK_PP_SEQ_ENUM_207(x) x, MITK_PP_SEQ_ENUM_206
# define MITK_PP_SEQ_ENUM_208(x) x, MITK_PP_SEQ_ENUM_207
# define MITK_PP_SEQ_ENUM_209(x) x, MITK_PP_SEQ_ENUM_208
# define MITK_PP_SEQ_ENUM_210(x) x, MITK_PP_SEQ_ENUM_209
# define MITK_PP_SEQ_ENUM_211(x) x, MITK_PP_SEQ_ENUM_210
# define MITK_PP_SEQ_ENUM_212(x) x, MITK_PP_SEQ_ENUM_211
# define MITK_PP_SEQ_ENUM_213(x) x, MITK_PP_SEQ_ENUM_212
# define MITK_PP_SEQ_ENUM_214(x) x, MITK_PP_SEQ_ENUM_213
# define MITK_PP_SEQ_ENUM_215(x) x, MITK_PP_SEQ_ENUM_214
# define MITK_PP_SEQ_ENUM_216(x) x, MITK_PP_SEQ_ENUM_215
# define MITK_PP_SEQ_ENUM_217(x) x, MITK_PP_SEQ_ENUM_216
# define MITK_PP_SEQ_ENUM_218(x) x, MITK_PP_SEQ_ENUM_217
# define MITK_PP_SEQ_ENUM_219(x) x, MITK_PP_SEQ_ENUM_218
# define MITK_PP_SEQ_ENUM_220(x) x, MITK_PP_SEQ_ENUM_219
# define MITK_PP_SEQ_ENUM_221(x) x, MITK_PP_SEQ_ENUM_220
# define MITK_PP_SEQ_ENUM_222(x) x, MITK_PP_SEQ_ENUM_221
# define MITK_PP_SEQ_ENUM_223(x) x, MITK_PP_SEQ_ENUM_222
# define MITK_PP_SEQ_ENUM_224(x) x, MITK_PP_SEQ_ENUM_223
# define MITK_PP_SEQ_ENUM_225(x) x, MITK_PP_SEQ_ENUM_224
# define MITK_PP_SEQ_ENUM_226(x) x, MITK_PP_SEQ_ENUM_225
# define MITK_PP_SEQ_ENUM_227(x) x, MITK_PP_SEQ_ENUM_226
# define MITK_PP_SEQ_ENUM_228(x) x, MITK_PP_SEQ_ENUM_227
# define MITK_PP_SEQ_ENUM_229(x) x, MITK_PP_SEQ_ENUM_228
# define MITK_PP_SEQ_ENUM_230(x) x, MITK_PP_SEQ_ENUM_229
# define MITK_PP_SEQ_ENUM_231(x) x, MITK_PP_SEQ_ENUM_230
# define MITK_PP_SEQ_ENUM_232(x) x, MITK_PP_SEQ_ENUM_231
# define MITK_PP_SEQ_ENUM_233(x) x, MITK_PP_SEQ_ENUM_232
# define MITK_PP_SEQ_ENUM_234(x) x, MITK_PP_SEQ_ENUM_233
# define MITK_PP_SEQ_ENUM_235(x) x, MITK_PP_SEQ_ENUM_234
# define MITK_PP_SEQ_ENUM_236(x) x, MITK_PP_SEQ_ENUM_235
# define MITK_PP_SEQ_ENUM_237(x) x, MITK_PP_SEQ_ENUM_236
# define MITK_PP_SEQ_ENUM_238(x) x, MITK_PP_SEQ_ENUM_237
# define MITK_PP_SEQ_ENUM_239(x) x, MITK_PP_SEQ_ENUM_238
# define MITK_PP_SEQ_ENUM_240(x) x, MITK_PP_SEQ_ENUM_239
# define MITK_PP_SEQ_ENUM_241(x) x, MITK_PP_SEQ_ENUM_240
# define MITK_PP_SEQ_ENUM_242(x) x, MITK_PP_SEQ_ENUM_241
# define MITK_PP_SEQ_ENUM_243(x) x, MITK_PP_SEQ_ENUM_242
# define MITK_PP_SEQ_ENUM_244(x) x, MITK_PP_SEQ_ENUM_243
# define MITK_PP_SEQ_ENUM_245(x) x, MITK_PP_SEQ_ENUM_244
# define MITK_PP_SEQ_ENUM_246(x) x, MITK_PP_SEQ_ENUM_245
# define MITK_PP_SEQ_ENUM_247(x) x, MITK_PP_SEQ_ENUM_246
# define MITK_PP_SEQ_ENUM_248(x) x, MITK_PP_SEQ_ENUM_247
# define MITK_PP_SEQ_ENUM_249(x) x, MITK_PP_SEQ_ENUM_248
# define MITK_PP_SEQ_ENUM_250(x) x, MITK_PP_SEQ_ENUM_249
# define MITK_PP_SEQ_ENUM_251(x) x, MITK_PP_SEQ_ENUM_250
# define MITK_PP_SEQ_ENUM_252(x) x, MITK_PP_SEQ_ENUM_251
# define MITK_PP_SEQ_ENUM_253(x) x, MITK_PP_SEQ_ENUM_252
# define MITK_PP_SEQ_ENUM_254(x) x, MITK_PP_SEQ_ENUM_253
# define MITK_PP_SEQ_ENUM_255(x) x, MITK_PP_SEQ_ENUM_254
# define MITK_PP_SEQ_ENUM_256(x) x, MITK_PP_SEQ_ENUM_255
#
# endif
