OPTION(MITK_TRACKING_DEVICES_HARDWARE_TESTS_ENABLED "Enable support for testing tracking device hardware (this hardware must be connected to the system)" OFF)
MARK_AS_ADVANCED(MITK_TRACKING_DEVICES_HARDWARE_TESTS_ENABLED)

IF(MITK_TRACKING_DEVICES_HARDWARE_TESTS_ENABLED)
  OPTION(MITK_NDI_AURORA_CONNECTED "Turn on if an Aurora system is connected and should be tested." OFF)
  OPTION(MITK_NDI_POLARIS_CONNECTED "Turn on if a Polaris system is connected and should be tested." OFF)
  OPTION(MITK_CLARON_MICRONTRACKER_CONNECTED "Turn on if a MicronTracker system is connected and should be tested." OFF)
  MARK_AS_ADVANCED(MITK_NDI_AURORA_CONNECTED MITK_NDI_POLARIS_CONNECTED MITK_CLARON_MICRONTRACKER_CONNECTED MITK_CLARON_MICRONTRACKER_CONNECTED)
ENDIF(MITK_TRACKING_DEVICES_HARDWARE_TESTS_ENABLED)

IF(MITK_NDI_AURORA_CONNECTED)
   set(MITK_NDI_AURORA_COM_PORT "1" CACHE STRING "Serial port where the system is connected.")
ENDIF(MITK_NDI_AURORA_CONNECTED)

IF(MITK_NDI_POLARIS_CONNECTED)
   set(MITK_NDI_POLARIS_COM_PORT "1" CACHE STRING "Serial port where the system is connected.")
ENDIF(MITK_NDI_POLARIS_CONNECTED)