#define MITK_WRAP_PACKAGE "mitkCorePython"
//#include "wrap_MITKAlgorithms.cxx"
/*=========================================================================

  Program:   Insight Segmentation & Registration Toolkit
  Module:    $RCSfile: wrap_ITKAlgorithms.cxx,v $
  Language:  C++
  Date:      $Date$
  Version:   $Revision$

  Copyright (c) Insight Software Consortium. All rights reserved.
  See ITKCopyright.txt or http://www.itk.org/HTML/Copyright.htm for details.

     This software is distributed WITHOUT ANY WARRANTY; without even
     the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
     PURPOSE.  See the above copyright notices for more information.

=========================================================================*/
#ifdef CABLE_CONFIGURATION

namespace _cable_
{
  const char* const package = MITK_WRAP_PACKAGE;
  const char* const groups[] =
  {
    //For further information about the classes which were not wrapped, please have a look at the file wrapSources.cmake
    //Algorithms:
    //"ProcessObject",
    "BaseDataSource",
    "BaseProcess",
    "CoreObjectFactory",
    "CoreObjectFactoryBase",
    "DataNodeFactory",
    "DataNodeSource",
    "Geometry2DDataToSurfaceFilter",
    "HistogramGenerator",
    "ImageChannelSelector",
    "ImageSliceSelector",
    "ImageSource",
    "ImageTimeSelector",
    "ImageToImageFilter",
    "ImageToItk",
    "ITKImageImport",
    "PointSetSource",
    "RGBToRGBACastImageFilter",
    "SubImageSelector",
    "SurfaceSource",
    "SurfaceToSurfaceFilter",
    "VolumeCalculator",

    //Controllers:
    "BaseController",
    "CallbackFromGUIThread",
    "CameraController",
    "CameraRotationController",
    "FocusManager",
    "LimitedLinearUndo",
    "OperationEvent",
    "ProgressBar",
    "ProgressBarImplementation",
    //"ReferenceCountWatcher",
    "RenderingManager",
    "RenderingManagerFactory",
    "SliceNavigationController",
    "SlicesCoordinator",
    "SlicesRotator",
    "SlicesSwiveller",
    "StatusBar",
    "StatusBarImplementation",
    "Stepper",
    //"TestingMacros",
    "TestManager",
    "UndoController",
    "UndoModel",
    "VerboseLimitedLinearUndo",
    "VtkInteractorCameraController",
    "VtkLayerController",


    //DataManagement:
    //"VtkAbstractTransform",
    "AbstractTransformGeometry",
    "AnnotationProperty",
    "ApplicationCursor",
    "BaseData",
    "BaseDataTestImplementation",
    "BaseProperty",
    "ClippingProperty",
    "ColorProperty",
    //"Common",
    "DataNode",
    "DataStorage",
    "DisplayGeometry",
    "EnumerationProperty",
    "GenericLookupTable",
    //"GenericProperty",
    "Geometry2D",
    "Geometry2DData",
    "Geometry3D",
    "GeometryData",
    "GroupTagProperty",
    "Image",
    "ImageDataItem",
    //"ItkMatirxHack",
    "LandmarkBasedCurvedGeometry",
    "LandmarkProjector",
    "LandmarkProjectorBasedCurvedGeometry",
    "LevelWindow",
    "LevelWindowManager",
    "LevelWindowPreset",
    "LevelWindowProperty",
    //Line",
    "LookupTable",
    "LookupTables",
    "Material",
    //"MatrixConvert",
    "ModalityProperty",
    "NodePredicateAnd",
    "NodePredicateBase",
    "NodePredicateCompositeBase",
    "NodePredicateData",
    "NodePredicateDataType",
    "NodePredicateDimension",
    "NodePredicateFirstLevel",
    "NodePredicateNot",
    "NodePredicateOr",
    "NodePredicateProperty",
    "NodePredicateSource",
    "PlaneOrientationProperty",
    "PlaneGeometry",
    "PlaneOperation",
    "PointOperation",
    "PointSet",
    "Properties",
    "PropertyList",
    "ResliceMethodProperty",
    "RotationOperation",
    "ShaderProperty",
    "SlicedData",
    "SlicedGeometry3D",
    "SmartPointerProperty",
    "StandaloneDataStorage",
    "StateTransitionOperation",
    "StringProperty",
    "Surface",
    "ThinPlateSplineCurvedGeometry",
    "TimeSlicedGeometry",
    "TransferFunction",
    "TransferFunctionProperty",
    //"Vector",
    "VtkInterpolationProperty",
    "VtkRepresentationProperty",
    "VtkResliceInterpolationProperty",
    "VtkScalarModeProperty",
    "VtkVolumeRenderingProperty",
    //"WeakPointer",
    "WeakPointerProperty",

    //Interactions:
    "Action",
    "AffineInteractor",
    "CoordinateSupplier",
    "DisplayCoordinateOperation",
    "DisplayInteractor",
    "DisplayPositionEvent",
    "DisplayVectorInteractor",
    "Event",
    "EventDescription",
    "EventMapper",
    "GlobalInteraction",
    "Interactor",
    "KeyEvent",
    //"Message",
    "MouseMovePointSetInteractor",
    "PointSetInteractor",
    "PositionEvent",
    "PositionTracker",
    "State",
    "StateEvent",
    "StateMachine",
    "StateMachineFactory",
    "Transition",
    "WheelEvent",

    //IO:
    "BaseDataIO",
    "DicomSeriesReader",
    "FileReader",
    "FileSeriesReader",
    "FileWriter",
    "FileWriterWithInformation",
    "ImageWriter",
    "ImageWriterFactory",
    //"IOAdapter",
    //"IpPicGet",
    "ItkImageFileIOFactory",
    "ItkImageFileReader",
    "Log",
    "LookupTableProperty",
    "Operation",
    "OperationActor",
    "PicFileIOFactory",
    "PicFileReader",
    "PicFileWriter",
    "PicHelper",
    "PicVolumeTimeSeriesIOFactory",
    "PicVolumeTimeSeriesReader",
    "PixelType",
    "PointSetIOFactory",
    "PointSetReader",
    "PointSetWriter",
    "PointSetWriterFactory",
    //"RawImageFileReader",
    "StandardFileLocations",
    "STLFileIOFactory",
    "STLFileReader",
    //"SurfaceVtkWriter",
    "SurfaceVtkWriterFactory",
    "VtiFileIOFactory",
    "VtiFileReader",
    "VtkImageIOFactory",
    "VtkImageReader",
    "VtkSurfaceIOFactory",
    "VtkSurfaceReader",
    "vtkPointSetXMLParser",

    //Rendering:
    //"BaseRenderer",
    "VtkMapper2D",
    "VtkMapper3D",
    "Geometry2DDataMapper2D",
    "Geometry2DDataVtkMapper3D",
    "GLMapper2D",
    "GradientBackground",
    "ImageMapperGL2D",
    "Mapper",
    "Mapper2D",
    "Mapper3D",
    "PointSetGLMapper2D",
    "PointSetVtkMapper3D",
    "PolyDataGLMapper2D",
    "PolyDataGLMapper2D",
    "ShaderRepository",
    "SurfaceGLMapper2D",
    "SurfaceVtkMapper3D",
    "VtkPropRenderer",
    "VtkWidgetRendering",
    "vtkMitkRectangleProp",
    "vtkMitkRenderProp",
    "vtkMitkThickSlicesFilter",

    "CommonSuperclasses",
    "ImageCaster",
  //"QmitkFunctionality"
  };
}
#endif
